Subject: Re: [PATCH] git-bundle: fix pack generation.

From: Mark Levedahl <[email-masked]>
Date: Tue, 06 Mar 2007 20:16:49 -0500

On 3/6/07, *Junio C Hamano* <[email-masked] <mailto:[email-masked]>> wrote:

    * I'll have this in 'master' tonight.  Also I am thinking about
      changing 'git bundle verify' to spit out heads and prereqs
      unconditionally, in addition to 'foo.bdl is ok'.  Comments?

That is a good feature, much better than trying to list the bundle, and 
I have no issue with this suggestion.
 
We could also define "git bundle [depends|show-refs] bundle-file" to be 
more suggestive of the actual result. As the prerequisites have a common 
conceptual definition with those of a shallow clone, perhaps there 
should be a common way to get those. In this vein, git-ls-remote bundle 
already shows the references in git-like fashion.
 
Mark